<div class="well well-lg registration">
    <div class="row">
        <div class="col-sm-offset-3 col-sm-4">
            <form class="form-horizontal" [formGroup]="forgotPasswordForm" (ngSubmit)="onSubmit()">

                <div class="text-center">
                    <h2>{{ 'forgot-password.forgot-password' | translate }}</h2>
                    <p>{{ 'forgot-password.forgot-password-message' | translate }}</p>
                    <div *ngIf="error">
                        <div class="invalid-feedback">
                            <div>{{ 'forgot-password.forgot-password-error' | translate }}</div>
                        </div>
                    </div>
                </div>

                <br>

                <div class="form-group">
                    <label class="" for="email">{{ 'register.phone-number' | translate }}:</label>
                    <div class="">
                        <input type="text" class="form-control" formControlName="phone" placeholder="61 234 567"
                            [ngClass]="{ 'is-invalid' : submitted && f.phone.errors }">
                        <div *ngIf="submitted && f.phone.errors" class="invalid-feedback" required>
                            <div *ngIf="f.phone.errors.pattern">{{ 'header.numbers-only' | translate }}</div>
                            <div *ngIf="f.phone.errors.required">{{ 'header.required' | translate }}</div>
                            <div *ngIf="f.phone.errors.minlength">{{ 'header.phone-number-error' | translate }}</div>
                        </div>
                    </div>
                </div>

                <div class="form-group">
                    <div class="">
                        <button type="submit" class="btn btn-default">{{ 'forgot-password.send' | translate }}</button>
                    </div>
                </div>

            </form>
        </div>
    </div>
</div>